=== debian/changelog ===
ros-kinetic-schunk-sdh (0.6.14-1xenial) xenial; urgency=high

  * Merge pull request #215 <https://github.com/ipa320/schunk_modular_robotics/issues/215> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Merge branch 'indigo_dev' of github.com:ipa320/schunk_modular_robotics into indigo_release_candidate
  * Merge pull request #199 <https://github.com/ipa320/schunk_modular_robotics/issues/199> from ipa320/indigo_dev
    Indigo dev
  * Contributors: Christian Rauch, Felix Messmer, fmessmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 20 Nov 2019 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.13-1xenial) xenial; urgency=high

  * Merge pull request #212 <https://github.com/ipa320/schunk_modular_robotics/issues/212> from christian-rauch/sdhlib_source
    Replace binary sdh library with source SDHLibrary-CPP
  * add source dependency on 'sdhlibrary_cpp'
  * remove binary distribution of SDHLibrary-CPP
  * Merge pull request #210 <https://github.com/ipa320/schunk_modular_robotics/issues/210> from christian-rauch/sdh_only_services
    backport services to SDH only node
  * use private namespace for sdh_only node
  * backport temperature publisching to sdh_only node
  * backport services to sdh_only node
  * Contributors: Christian Rauch

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 19 Aug 2019 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.12-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 15 Aug 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.11-1xenial) xenial; urgency=high

  * Merge pull request #204 <https://github.com/ipa320/schunk_modular_robotics/issues/204> from christian-rauch/pressure
    Publish tactile data as pressure
  * report pressure in Pascal (Pa)
  * publish tactile matrix in pressure units
  * configure DSA debug level and tactile sensitivity through ROS parameters
  * Merge pull request #202 <https://github.com/ipa320/schunk_modular_robotics/issues/202> from christian-rauch/fix_exceptions
    Revert "catch exceptions by const reference"
  * Revert "catch exceptions by const reference"
    This reverts commit 0da887264e5ccfbbf5b552f5c50e45d80fe0a01a.
  * Contributors: Christian Rauch, Felix Messmer

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 20 Jul 2018 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #198 <https://github.com/ipa320/schunk_modular_robotics/issues/198> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #195 <https://github.com/ipa320/schunk_modular_robotics/issues/195> from christian-rauch/motor_power_switch
    Motor power switch
  * Merge pull request #191 <https://github.com/ipa320/schunk_modular_robotics/issues/191> from ipa-fxm/APACHE_license
    use license apache 2.0
  * skip check of alternative SDH device types
  * catch exceptions by const reference
  * provide messages for successfull service calls
  * disable / enable motor power
  * change maintainer
  * Merge pull request #192 <https://github.com/ipa320/schunk_modular_robotics/issues/192> from christian-rauch/disable_motors
    Services for disabling motors
  * rename 'disconnect' service to 'shutdown'
  * remove unused 'srvCallback_Recover'
  * 'disconnect' and 'emergency_stop' services return true when finished
  * close connection to DSA
  * deinitialise at stop and disconnect
  * services for stopping motors
  * Merge pull request #193 <https://github.com/ipa320/schunk_modular_robotics/issues/193> from christian-rauch/pub_temperature
    Publish temperatures for monitoring overheating
  * publish temperatures
  * enable C++11
  * use license apache 2.0
  * Contributors: Christian Rauch, Felix Messmer, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 07 Jan 2018 00:00:00 -0000

ros-kinetic-schunk-sdh (0.6.9-1xenial) xenial; urgency=high

  * properly link and install SDHLibrary
  * manually fix changelog
  * Merge branch 'indigo_dev' of https://github.com/ipa320/schunk_modular_robotics into indigo_dev
  * renamed diagnostics topic
  * Contributors: Mathias Lüdtke, ipa-fxm, ipa-nhg

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 16 Jul 2017 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.8-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 09 Oct 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.7-1xenial) xenial; urgency=high

  * do not use the autostart flag for the action sever and start it manually
    to get rid of the race condition warning
  * fix missing add_dependencies
  * sdh_only.cpp mostly roslint compatible
  * dsa_only roslint compatible
  * schunk_sdh/ros/src/sdh.cpp less roslint issues
  * Whitespace formatting (C++ files)
  * Fix whitespaces in header files (automatic)
  * Added roslint to CMakeLists and package
  * Format
  * Format according to roscpp style guide, inline with https://github.com/ipa320/setup/blob/master/coding_introduction/CodingIntroduction.md#ros-coding-styles
  * Contributors: Wolfgang Merkt, demo, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Thu, 31 Mar 2016 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.6-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 31 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.5-1xenial) xenial; urgency=high



 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.4-1xenial) xenial; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Mon, 24 Aug 2015 23:00:00 -0000

ros-kinetic-schunk-sdh (0.6.3-1xenial) xenial; urgency=high

  * fix topic names
  * replace brics_actuator
  * use new Trigger from std_srvs
  * cleanup/replace cob_srvs
  * adapt schunk_sdh to new namespaces
  * beautify CMakeLists
  * beautify CMakeLists

