=== debian/control ===
Source: ros-kinetic-schunk-sdh
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <fmw@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), dpkg, libboost-all-dev, libusb-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-cob-srvs, ros-kinetic-control-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-sdhlibrary-cpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-trajectory-msgs, ros-kinetic-urdf
Homepage: http://ros.org/wiki/schunk_sdh
Standards-Version: 3.9.2

Package: ros-kinetic-schunk-sdh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg, libboost-all-dev, libusb-dev, ros-kinetic-actionlib, ros-kinetic-cob-srvs, ros-kinetic-control-msgs, ros-kinetic-diagnostic-msgs, ros-kinetic-libntcan, ros-kinetic-libpcan, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-sdhlibrary-cpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-trajectory-msgs, ros-kinetic-urdf
Description: This package provides an interface for operating the schunk dexterous hand (SDH), including the tactile sensors.
